Bug 1111508 - [RFE] Add 2nd link to Reserve Workflow as "Systems->Reserve"
Summary: [RFE] Add 2nd link to Reserve Workflow as "Systems->Reserve"
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: web UI
Version: 0.17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 0.17.1
Assignee: Dan Callaghan
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-20 08:05 UTC by Nick Coghlan
Modified: 2018-02-06 00:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-18 08:17:35 UTC


Attachments (Terms of Use)

Description Nick Coghlan 2014-06-20 08:05:18 UTC
Currently, the main link to the reserve workflow is under the "Scheduler" submenu.

This is an implementation oriented location twice over: the Reserve Workflow happens to be implemented using the scheduler, and the provisioned system is kept active user the scheduler's reservation capability.

From a *user* perspective, a more logical location would be the "Systems" menu as Systems->Provision. The thought process associated with that location is "I want to provision a system", rather than "I want to use the scheduler to reserve a system".

Comment 2 Nick Coghlan 2014-06-25 04:31:18 UTC
As per IRC discussion with Dan, we're trying to move in the direction of "Provision" consistently referring to bypassing the scheduler, and "Reserve" using the scheduler, so Systems->Reserve would be the preferred name.

Comment 3 Dan Callaghan 2014-06-25 06:59:53 UTC
On Gerrit: http://gerrit.beaker-project.org/3173

Comment 6 Dan Callaghan 2014-07-18 08:17:35 UTC
Beaker 0.17.1 has been released.


Note You need to log in before you can comment on or make changes to this bug.